classification
Title: Fix asyncio to support instantiation of new event loops in subprocesses
Type: behavior Stage: resolved
Components: asyncio Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: larry, ned.deily, yselivanov
Priority: release blocker Keywords: 3.5regression, 3.6regression

Created on 2017-03-02 21:55 by yselivanov, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 404 merged yselivanov, 2017-03-02 22:05
PR 410 merged yselivanov, 2017-03-03 01:09
PR 411 merged yselivanov, 2017-03-03 01:12
PR 552 closed dstufft, 2017-03-31 16:36
Messages (8)
msg288835 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-03-02 21:55
Proxy for https://github.com/python/asyncio/pull/497

Ned, this needs to be in 3.6.1, working code from 3.4 doesn't work in 3.6.0: http://stackoverflow.com/questions/42546099/python-asyncio-migrate-from-3-4-to-3-5/42566336#42566336
msg288836 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-02 22:06
OK. I assume you will make PRs for python/cpython and cherry-pack to the 3.6 and 3.5 branches?
msg288837 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-03-02 22:07
> OK. I assume you will make PRs for python/cpython and cherry-pack to the 3.6 and 3.5 branches?

Yes, working on it!
msg288915 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-03 19:15
With the PRs merged, can this issue be closed now?
msg288919 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-03-03 19:28
Yes, closing the issue. Thanks, Ned!
msg290336 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-03-24 23:08
New changeset 8b73b6198bc0753c5ce6e8f91eb7bddc2bd42a73 by Yury Selivanov in branch '3.5':
bpo-29703: asyncio: Fix creating new event loops in child processes. (#411)
https://github.com/python/cpython/commit/8b73b6198bc0753c5ce6e8f91eb7bddc2bd42a73
msg290337 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-03-24 23:08
New changeset 01e5230ef0b28658cf7311be199363eda98808bd by Yury Selivanov in branch '3.6':
bpo-29703: asyncio: Fix creating new event loops in child processes. (#404) (#410)
https://github.com/python/cpython/commit/01e5230ef0b28658cf7311be199363eda98808bd
msg290340 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-03-24 23:12
New changeset ba7e1f9a4e06c0b4ad594fd64edcaf7292515820 by Yury Selivanov in branch 'master':
bpo-29703: asyncio: Fix creating new event loops in child processes. (#404)
https://github.com/python/cpython/commit/ba7e1f9a4e06c0b4ad594fd64edcaf7292515820
History
Date User Action Args
2017-03-31 16:36:25dstufftsetpull_requests: + pull_request991
2017-03-24 23:12:30yselivanovsetmessages: + msg290340
2017-03-24 23:08:47yselivanovsetmessages: + msg290337
2017-03-24 23:08:40yselivanovsetmessages: + msg290336
2017-03-17 21:05:56larrysetpull_requests: - pull_request593
2017-03-17 21:00:33larrysetpull_requests: + pull_request593
2017-03-03 19:28:23yselivanovsetstatus: open -> closed
resolution: fixed
messages: + msg288919
2017-03-03 19:15:13ned.deilysetmessages: + msg288915
2017-03-03 01:12:09yselivanovsetpull_requests: + pull_request342
2017-03-03 01:09:20yselivanovsetpull_requests: + pull_request341
2017-03-02 22:33:38gvanrossumsetnosy: - gvanrossum
2017-03-02 22:30:03yselivanovsetstatus: closed -> open
nosy: + gvanrossum
resolution: fixed -> (no value)
components: + asyncio
2017-03-02 22:07:20yselivanovsetmessages: + msg288837
2017-03-02 22:06:30ned.deilysetmessages: + msg288836
2017-03-02 22:05:56yselivanovsetpull_requests: + pull_request336
2017-03-02 21:55:50yselivanovsetstatus: open -> closed
resolution: fixed
2017-03-02 21:55:45yselivanovcreate